std::__detail::_Equal_helper< _Key, _Value, _ExtractKey, _Equal, _HashCodeType, true > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes

`#include <hashtable_policy.h>`

## Static Public Member Functions

static bool | _S_equals (const _Equal &__eq, const _ExtractKey &__extract, const _Key &__k, _HashCodeType __c, _Hash_node< _Value, true > *__n)

## Detailed Description

template<typename _Key, typename _Value, typename _ExtractKey, typename _Equal, typename _HashCodeType>
struct std::__detail::_Equal_helper< _Key, _Value, _ExtractKey, _Equal, _HashCodeType, true >

Specialization.

Definition at line 1445 of file hashtable_policy.h.

## Member Function Documentation

## _S_equals()

template<typename _Key , typename _Value , typename _ExtractKey , typename _Equal , typename _HashCodeType >

static bool std::__detail::_Equal_helper< _Key, _Value, _ExtractKey, _Equal, _HashCodeType, true >::_S_equals | ( | const _Equal & | __eq,
|  | const _ExtractKey & | __extract,
|  | const _Key & | __k,
|  | _HashCodeType | __c,
|  | _Hash_node< _Value, true > * | __n
| ) |  |

inline static

Definition at line 1448 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h